'''
function that returns a random name for the given gender
'''

import random


def get_name(gender) -> str:
    """Chooses a random name from the Human Generator NameGen

    Args:
        gender (str): gender to pick name for

    Returns:
        str: random given name
    """
    rand_int = random.randrange(0,499)

    names = _get_namelist(gender)

    return names[rand_int]

def _get_namelist(gender) -> list:
    """List of 500 names for each gender

    Args:
        gender (str): gender to return namelist for

    Returns:
        list: list with names
    """
    names_male = (
        "Josh",
        "Bobby",
        "Steven",
        "Carl",
        "Frederick",
        "David",
        "Eddie",
        "Thomas",
        "James",
        "Bernard",
        "Rocky",
        "Michael",
        "Gordon",
        "Leonard",
        "Aaron",
        "Leroy",
        "Robert",
        "John",
        "Patrick",
        "William",
        "Lloyd",
        "Derrick",
        "Korey",
        "Jacob",
        "Dennis",
        "Jeffrey",
        "Lee",
        "Mitchell",
        "Andrew",
        "Jake",
        "Ryan",
        "Nicholas",
        "Harold",
        "Lawrence",
        "Mark",
        "Gary",
        "Charles",
        "Joel",
        "Jason",
        "Ramon",
        "Isaac",
        "Brandon",
        "Eric",
        "Raphael",
        "Phillip",
        "Curtis",
        "Virgil",
        "Daniel",
        "Stephen",
        "Richard",
        "Russell",
        "Ronald",
        "Brian",
        "Dale",
        "Ernest",
        "Justin",
        "Martin",
        "Craig",
        "Matthew",
        "Antonio",
        "Leo",
        "Henry",
        "Rick",
        "Bruce",
        "Elmer",
        "Sam",
        "Ricky",
        "Harrison",
        "Alan",
        "George",
        "Romeo",
        "Douglas",
        "Ross",
        "Ralph",
        "Percy",
        "Timothy",
        "Bernie",
        "Ira",
        "Pat",
        "Keith",
        "Joseph",
        "Billy",
        "Bennie",
        "Kevin",
        "Genaro",
        "Johnny",
        "Christopher",
        "Walter",
        "Charlie",
        "Jerome",
        "Joshua",
        "Alejandro",
        "Paul",
        "Alvin",
        "Arthur",
        "Wilton",
        "Ellis",
        "Jerry",
        "Clayton",
        "Doyle",
        "Lorenzo",
        "Winston",
        "Edward",
        "Samuel",
        "Isidro",
        "Donald",
        "Bryan",
        "Roy",
        "Jesse",
        "Mike",
        "Milton",
        "Willie",
        "Kenneth",
        "Jamal",
        "Gregory",
        "Andy",
        "Terry",
        "Francisco",
        "Melvin",
        "Erik",
        "Kelvin",
        "Adam",
        "Albert",
        "Fletcher",
        "Wilbur",
        "Andre",
        "Cody",
        "Ron",
        "Lester",
        "Danny",
        "Shane",
        "Frank",
        "Jean",
        "Benjamin",
        "Nathan",
        "Jayson",
        "Glenn",
        "Victor",
        "Gerard",
        "Ted",
        "Seth",
        "Alfred",
        "Joe",
        "Mary",
        "Raymond",
        "Roland",
        "Zachary",
        "Wayne",
        "Garry",
        "Steve",
        "Trent",
        "Elliott",
        "Peter",
        "Jack",
        "Fernando",
        "Travis",
        "Enoch",
        "Darwin",
        "Elvis",
        "Clarence",
        "Harley",
        "Dean",
        "Saul",
        "Juan",
        "Franklin",
        "Rodrigo",
        "Willard",
        "Leslie",
        "Chris",
        "Terrance",
        "Clifford",
        "Gary",
        "Rodney",
        "Anthony",
        "Damon",
        "Carlos",
        "Efrain",
        "Wade",
        "Barry",
        "Bret",
        "Angel",
        "Casey",
        "Theodore",
        "Scott",
        "Darnell",
        "Horace",
        "Johnnie",
        "Jimmy",
        "Domingo",
        "Max",
        "Luis",
        "Allen",
        "Enrique",
        "Vincent",
        "Marion",
        "Dwayne",
        "Tommie",
        "Jose",
        "Harry",
        "Raul",
        "Roberto",
        "Jimmie",
        "Reginald",
        "Darren",
        "Jorge",
        "Stanley",
        "Ernesto",
        "Joaquin",
        "Carroll",
        "Gene",
        "Edwin",
        "Julian",
        "Claude",
        "Gerald",
        "Trevor",
        "Jeremy",
        "Lucas",
        "Floyd",
        "Chad",
        "Vernon",
        "Jim",
        "Joesph",
        "Francis",
        "Jefferson",
        "Perry",
        "Fred",
        "Junior",
        "Dana",
        "Darin",
        "Lonnie",
        "Daryl",
        "Roger",
        "Ray",
        "Miguel",
        "Troy",
        "Mario",
        "Howard",
        "Herman",
        "Norman",
        "Marvin",
        "Randy",
        "Johnathan",
        "Odell",
        "Tony",
        "Emmanuel",
        "Philip",
        "Rudy",
        "Randall",
        "Arnold",
        "Byron",
        "Darius",
        "Arturo",
        "Clinton",
        "Armando",
        "Logan",
        "Judson",
        "Karl",
        "Bradley",
        "Kristopher",
        "Norbert",
        "Chung",
        "Grover",
        "Pablo",
        "Elwood",
        "Bill",
        "Rene",
        "Earl",
        "Jeff",
        "Kyle",
        "Marty",
        "Larry",
        "Cesar",
        "Rodger",
        "Marcus",
        "Herb",
        "Wesley",
        "Porfirio",
        "Julius",
        "Cedric",
        "Angelo",
        "Ivan",
        "Darrin",
        "Corey",
        "John",
        "Clay",
        "Nickolas",
        "Don",
        "Curt",
        "Francisco",
        "Pedro",
        "Felipe",
        "Jay",
        "Matt",
        "Louis",
        "Darrel",
        "Todd",
        "Hal",
        "Maurice",
        "Woodrow",
        "Brett",
        "Lynn",
        "Herbert",
        "Robby",
        "Homer",
        "Evan",
        "Ervin",
        "Sean",
        "Glen",
        "Vicente",
        "Leonardo",
        "Darryl",
        "Manuel",
        "Adrian",
        "Chester",
        "Bryant",
        "Olin",
        "Derek",
        "Ian",
        "Donnie",
        "Alfonso",
        "Hector",
        "Granville",
        "Tad",
        "Avery",
        "Guadalupe",
        "Humberto",
        "Von",
        "Kurtis",
        "Felix",
        "Orville",
        "Marcos",
        "Dave",
        "Mack",
        "Lance",
        "Stan",
        "Brenton",
        "Javier",
        "Merlin",
        "Terrence",
        "Cornelius",
        "Kasey",
        "Myron",
        "Isiah",
        "Tom",
        "Gustavo",
        "Agustin",
        "Shawn",
        "Alfredo",
        "Basil",
        "Eduardo",
        "Erick",
        "Rafael",
        "Clint",
        "Bruno",
        "Jaime",
        "Fritz",
        "Cecil",
        "Tommy",
        "Jeffery",
        "Stuart",
        "Jackie",
        "Bud",
        "Malcolm",
        "Eugene",
        "Russel",
        "Randolph",
        "Garrett",
        "Moses",
        "Felton",
        "Nathaniel",
        "Dan",
        "Brent",
        "Clyde",
        "Roosevelt",
        "Gregg",
        "Tyler",
        "Brad",
        "Riley",
        "Edmund",
        "Jamie",
        "Duane",
        "Tyson",
        "Oscar",
        "Kenny",
        "Huey",
        "August",
        "Emery",
        "Emanuel",
        "Cameron",
        "Barton",
        "Dustin",
        "Courtney",
        "Allan",
        "Adalberto",
        "Gerardo",
        "Brain",
        "Wendell",
        "Jarrod",
        "Eddy",
        "Devon",
        "Julio",
        "Vance",
        "Wallace",
        "Pete",
        "Tyree",
        "Blair",
        "Dwain",
        "Jessie",
        "Lane",
        "Salvador",
        "Tanner",
        "Elbert",
        "Micheal",
        "Denis",
        "Isaias",
        "Clement",
        "Octavio",
        "Otto",
        "Jonathan",
        "Reynaldo",
        "Neal",
        "Otha",
        "Warren",
        "Jarrett",
        "Jasper",
        "Kim",
        "Stan",
        "Jared",
        "Newton",
        "Leon",
        "Bert",
        "Wilson",
        "Sydney",
        "Israel",
        "Gil",
        "Austin",
        "Nelson",
        "Elias",
        "Doug",
        "Alton",
        "Jordan",
        "Blaine",
        "Lewis",
        "Giuseppe",
        "Rex",
        "Leif",
        "Carlton",
        "Murray",
        "Kurt",
        "Greg",
        "Bryce",
        "Darrell",
        "Nicky",
        "Abdul",
        "Loren",
        "Bart",
        "Salvatore",
        "Frankie",
        "Ambrose",
        "Xavier",
        "Wim",
        "Guy",
        "Arron",
        "Elliot",
        "Abraham",
        "Gerry",
        "Shaun",
        "Branden",
        "Gabriel",
        "Kent",
        "Blake",
        "Ali",
        "Freddy",
        "Alva",
        "Harvey",
        "Rudolph",
        "Alden",
        "Irving",
        "Rico",
        "Kerry",
        "Renato",
        "Fredrick",
        "Stephan",
        "Hugo",
        "Alexander",
        "Devin",
        "Clifton",
        "Marc",
        "Zachery",
        "Edgar",
        "Tony",
        "Vaughn",
        "Ellsworth",
        "Dominic",
        "Cary",
        "Grant",
        "Hank",
        "Santiago",
        "Sonny",
        "Gilbert",
        "Delmar"
    )

    names_female = [
        "Lucy",
        "Francisca",
        "Susan",
        "Greta",
        "Beckie",
        "Georgia",
        "Ashley",
        "Whitney",
        "Leah",
        "Michele",
        "Willie",
        "Renee",
        "Deirdre",
        "Emma",
        "Cynthia",
        "Eleanor",
        "Genoveva",
        "Anna",
        "Barbara",
        "Candice",
        "Martha",
        "Donna",
        "Marguerite",
        "Mary",
        "Brandi",
        "Patricia",
        "Rosetta",
        "Dana",
        "Jane",
        "Courtney",
        "Siu",
        "Debra",
        "Jennie",
        "Mildred",
        "Lillie",
        "Ashlee",
        "Verna",
        "Stephanie",
        "Robin",
        "Christine",
        "Melody",
        "Ana",
        "Dixie",
        "Billie",
        "Doris",
        "Saundra",
        "Elizabeth",
        "Caroline",
        "Jackie",
        "Sally",
        "Betty",
        "Sarah",
        "Carrie",
        "Rosella",
        "Ashlie",
        "Karla",
        "Lori",
        "Dora",
        "Kristina",
        "Diane",
        "Bonnie",
        "Kelly",
        "Marie",
        "Audrey",
        "Shirley",
        "Cathleen",
        "Rosario",
        "Kristel",
        "Rosa",
        "Shauna",
        "Jennifer",
        "Sara",
        "Melanie",
        "Diana",
        "Elida",
        "Jacquline",
        "Lisa",
        "Eileen",
        "Jessi",
        "Wanda",
        "Sherry",
        "Providencia",
        "Heather",
        "Karen",
        "Molly",
        "Judith",
        "Sherri",
        "Sandra",
        "Mabel",
        "Madeline",
        "Ida",
        "Hui",
        "Edith",
        "Ruth",
        "Ma",
        "Paulette",
        "Laura",
        "Kathleen",
        "Teresa",
        "Samantha",
        "Jeanette",
        "Carolyn",
        "Grace",
        "Julie",
        "Ernestine",
        "Virginia",
        "Margaret",
        "Julianne",
        "Maria",
        "Theresa",
        "Eunice",
        "Sharon",
        "Paul",
        "Evelyn",
        "Sue",
        "Nannette",
        "Reagan",
        "Estela",
        "Carol",
        "Amy",
        "Vickie",
        "Catherine",
        "Vicki",
        "Danelle",
        "Marion",
        "Annie",
        "Lauren",
        "Alice",
        "Natasha",
        "Serena",
        "Henrietta",
        "Corrie",
        "Brittany",
        "Refugio",
        "Fran",
        "Miriam",
        "Trisha",
        "Wava",
        "Yvonne",
        "Lula",
        "Shannon",
        "Cecelia",
        "Tammy",
        "Pok",
        "Niki",
        "Jillian",
        "Esther",
        "Sophia",
        "Jaclyn",
        "Helen",
        "Ella",
        "Marjorie",
        "Florence",
        "Jean",
        "Iona",
        "Jena",
        "Maxine",
        "Allene",
        "Kathryn",
        "Sierra",
        "Natalie",
        "Judy",
        "Eva",
        "Lurlene",
        "Kristin",
        "Olga",
        "Celia",
        "Gloria",
        "Josie",
        "Rosie",
        "Wilhelmina",
        "Tara",
        "Randi",
        "Jerilyn",
        "Janet",
        "Traci",
        "Vanessa",
        "Lydia",
        "Maggie",
        "Tanisha",
        "Jamie",
        "Cheryl",
        "Anita",
        "Kristie",
        "Sharell",
        "Kirsten",
        "Aurelia",
        "Loretta",
        "Ruby",
        "Joann",
        "Jewell",
        "Michelle",
        "Debbie",
        "Ann",
        "Irene",
        "Alita",
        "Leslie",
        "Nona",
        "Rebecca",
        "Erica",
        "Marilyn",
        "Shiela",
        "Terrie",
        "Robbie",
        "Leonor",
        "Angela",
        "Lura",
        "Dorothy",
        "Edna",
        "Dianna",
        "Obdulia",
        "Clara",
        "Ina",
        "Effie",
        "Christie",
        "Linda",
        "Consuelo",
        "Vivian",
        "Lucille",
        "Sylvia",
        "Felicia",
        "Phyllis",
        "Hazel",
        "Latisha",
        "Bethany",
        "Gema",
        "Tina",
        "Jeannie",
        "Laverne",
        "Kathy",
        "Tena",
        "Kim",
        "Suzanne",
        "Pauline",
        "Shelly",
        "Becky",
        "Roberta",
        "Connie",
        "Tommie",
        "Thelma",
        "Monica",
        "Bernice",
        "Dawn",
        "Viki",
        "Sheryl",
        "Kristen",
        "Beatrice",
        "Rita",
        "Joy",
        "Nicole",
        "Dianne",
        "Paula",
        "Stacey",
        "Mae",
        "Katherine",
        "Tiffany",
        "Lindsay",
        "Ginger",
        "Faye",
        "Reva",
        "Rachel",
        "Jenna",
        "Priscilla",
        "Christiana",
        "Mia",
        "Wilma",
        "Elaine",
        "Jill",
        "Christina",
        "Lydia",
        "Peggy",
        "Deborah",
        "Janine",
        "Kimberly",
        "Joyce",
        "Terri",
        "Tameka",
        "Mandy",
        "Lorena",
        "Joan",
        "Geraldine",
        "Charlotte",
        "Alison",
        "Ellen",
        "Dionne",
        "Patsy",
        "Beverly",
        "Jannette",
        "Gertrude",
        "Jessica",
        "Darcy",
        "Nancy",
        "Rosemary",
        "Jacqueline",
        "Kattie",
        "Addie",
        "Tracy",
        "Melissa",
        "Glenda",
        "Mariela",
        "Denise",
        "Stella",
        "Lana",
        "Janice",
        "Megan",
        "Janeth",
        "Brittney",
        "Dolores",
        "Andrea",
        "Stacy",
        "Pam",
        "Artie",
        "Eula",
        "Gail",
        "Pamela",
        "Elisa",
        "Amanda",
        "Marna",
        "Lidia",
        "Lucia",
        "Frances",
        "Victoria",
        "Particia",
        "Julia",
        "Emily",
        "Juanita",
        "Inez",
        "Pat",
        "Melonie",
        "Alyson",
        "Brenda",
        "Margret",
        "Celina",
        "Sabrina",
        "Cathy",
        "Barb",
        "Lois",
        "Laurie",
        "Liana",
        "Cassandra",
        "Tommy",
        "Stephenie",
        "Lee",
        "Sheila",
        "Alicia",
        "Eufemia",
        "Velma",
        "Hien",
        "Blanche",
        "Aurore",
        "Tonya",
        "Minnie",
        "Allie",
        "Cindy",
        "Allison",
        "Sophie",
        "Yolanda",
        "Natalia",
        "Holly",
        "Tricia",
        "Jaymie",
        "Arletta",
        "Carla",
        "Carole",
        "Racheal",
        "Tama",
        "Velva",
        "Tonia",
        "Maribel",
        "Katheryn",
        "Gwendolyn",
        "Chandra",
        "Candi",
        "Shaunda",
        "Almeta",
        "Kristyn",
        "Annamae",
        "Hannah",
        "Alma",
        "Etta",
        "Lilla",
        "Laronda",
        "Robbin",
        "Angel",
        "Nettie",
        "Rhonda",
        "Rene",
        "Louise",
        "Cathrine",
        "Lorraine",
        "Dolly",
        "Jasmine",
        "Jerri",
        "Regina",
        "Keshia",
        "Mamie",
        "Dominique",
        "Tamara",
        "Hilary",
        "Anne",
        "Genevieve",
        "Mallory",
        "Terese",
        "Majorie",
        "Irma",
        "April",
        "Hyun",
        "Klara",
        "Nikki",
        "Mara",
        "Ethel",
        "Aline",
        "Norma",
        "Opal",
        "Alysha",
        "Neva",
        "Bettie",
        "Jeanne",
        "Wendy",
        "Juana",
        "Maureen",
        "Celeste",
        "Marcia",
        "Marlene",
        "Eugenia",
        "Fannie",
        "Latia",
        "Ferne",
        "Latrina",
        "Tatiana",
        "Vera",
        "Josephine",
        "Darcel",
        "Iva",
        "Bessie",
        "Janie",
        "Young",
        "Blanch",
        "Annette",
        "Melinda",
        "Nichole",
        "Kenyetta",
        "Keisha",
        "Krissy",
        "Lakendra",
        "Louella",
        "Fay",
        "Ruthie",
        "Danielle",
        "Melba",
        "Joanne",
        "Toya",
        "Misty",
        "Gladys",
        "Lauri",
        "Jo",
        "Claudia",
        "Cleo",
        "Crystal",
        "Hiroko",
        "Valerie",
        "Marsha",
        "Marva",
        "Darby",
        "Blanca",
        "Kathey",
        "Ruthann",
        "Veronica",
        "Jeannette",
        "Janette",
        "Enola",
        "Erin",
        "Slyvia",
        "Brigida",
        "Roxane",
        "Tosha",
        "Roxana",
        "Tiffani",
        "Melisa",
        "Hallie",
        "Lauralee",
        "Sabra",
        "Kimberley",
        "Bertha",
        "Tam",
        "Jessie",
        "Lynn",
        "Asia",
        "Melony",
        "Jody",
        "Leola",
        "Richard",
        "Haley",
        "Miranda",
        "Beth",
        "Dallas",
        "Venus",
        "Elenor",
        "Belinda",
        "Harriet",
        "Gertie"        
    ]
    
    return names_male if gender =='male' else names_female
