import bpy


def get_content_saving_tips_from_context(context, sett, hg_rig):
    tab_idx = sett.content_saving_tab_index
    
    if sett.content_saving_type == 'mesh_to_cloth':
        yield mtc_tutorial
        
        if tab_idx == 0 and len(context.selected_objects)>1:
            yield only_one_mtc_object
        elif tab_idx == 2:
            yield mtc_position_advice
        elif tab_idx == 3:
            yield mtc_mask_advice
        elif tab_idx == 4:
            yield mtc_material_advice
            cloth_obj = sett.content_saving_object
            try:
                nodes = cloth_obj.data.materials[0].node_tree.nodes
                base_color_node = nodes.get('Base Color')
                if base_color_node and base_color_node.image:
                    if 'placeholder' in base_color_node.image.name.lower():
                        yield placeholder_image_explanation
            except AttributeError:
                pass
        elif tab_idx == 5:
            yield corrective_sk_advice
        elif tab_idx == 6:
            yield weight_painting_advice

weight_painting_advice = [
'Weight painting',
'ARMATURE_DATA',
"""The weight painting generated
with the button above can have
some flaws. It's best to check
the quality by putting the human
in some other poses. The most
problematic areas are the armpits
and the crotch. It's best to 
manually fix these areas up a bit.
""",
()
]

corrective_sk_advice = [
'Corrective shape keys',
'SHAPEKEY_DATA',
"""Human Generator uses corrective
shape keys to achieve better 
deformations than is possible 
with just vertex groups. In order
for these deformations to also
work on your clothing, the shape 
keys will be automatically 
generated by pressing the button 
above.
""",
()
]

mtc_material_advice = [
'Clothing material',
'MATERIAL',
"""You can use any material you like
on clothing for Human Generator.
If you'd like controls to show up
in the HG interface when someone 
selects your clothing object, you 
can use the default clothing
material by adding it above.
Follow the tutorial to see all
the possibilities of the default
material.
""",
()
]

placeholder_image_explanation = [
'Placeholder images',
'INFO',
"""When adding a default HG material,
placeholder images are auto-
matically added. These are CC0
images you can use to use as
a cloth material. You will 
probably need to adjust the scale
a bit.
For the best results it's 
recommended to make your own 
cloth textures.
""",
()
]

mtc_mask_advice = [
'Geometry masks',
'MOD_MASK',
"""'Geometry Masks' are modifiers
that hide a certain part of an
object. HG uses this to hide
parts of the body that are 
underneath clothing to prevent
the body clipping trough and to
save some performance.
""",
()
]

mtc_position_advice = [
'Position for best results',
'INFO',
""" To get the best results, make
sure the clothing is not too 
close to the body. Otherwise the
body might poke trough the
clothing when posed or animated. 
""",
()
]

mtc_tutorial = [
'Mesh to Cloth tutorial',
'HELP',
"""You can find the tutorial about
using Mesh->Cloth here:
""",
(
    'URL',
    'wm.url_open',
    'Open tutorial in browser',
    'url',
    'https://publish.obsidian.md/human-generator/Home' #TODO correct url
)
]      
        
only_one_mtc_object = [
'Only one object',
'INFO',
"""You can only convert one object
to clothing at a time.
""",
()
]
